Package org.apache.tools.ant.taskdefs.optional

# Class EchoProperties.FormatAttribute

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.taskdefs.optional.EchoProperties.FormatAttribute

Enclosing class:
  EchoProperties

    public static class EchoProperties.FormatAttribute
    extends EnumeratedAttribute

A enumerated type for the format attribute. The values are "xml" and "text".

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `value`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FormatAttribute()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String[]` | `getValues()` | This is the only method a subclass needs to implement.

  ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FormatAttribute

    public FormatAttribute()

- ## Method Details

  - ### getValues

    public java.lang.String[] getValues()
    Description copied from class: `EnumeratedAttribute`
    This is the only method a subclass needs to implement.
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      accepted values
    See Also:
      `EnumeratedAttribute.getValues()`